%define name mediacollectiongrooming
%define version 0.0.1
%define unmangled_version 0.0.1
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: An additional set of utilities to help you groom your music collection
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
Url: http://github.com/Rudd-O/mediacollectiongrooming

%description
# Media collection grooming

This package provides two programs:

* `generate-music-video-nfo` creates NFO files for Kodi from videos you have on disk.
* `moodbarize-collection` creates .mood files for music files in your collection.

%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.md
